---
updatedAt: 2026-04-12T09:21:28.000Z
---

# Retrieve shipment identifiers

This request retrieves shipment identifiers.

### Example

The following example retrieves bidding loads offered to the carrier.

### Request body:

```JSON
{
  "planId": 27340816,
  "phaseStatus": "Current",
  "offerType": "Fixed Load",
  "bidStatus": "OFFERED",
  "origins": {
    "city": "Chicago",
    "postalCode": "31422",
    "state": "GA"
  },
  "destinations": {
    "city": "Chicago",
    "postalCode": "94903",
    "state": "GA"
  },
  "queryDateFilters": [
    {}
  ],
  "planDetails": {
    "totalStops": 1,
    "isHazmat": true
  },
  "equipment": {
    "equipmentCodes": "VAN53"
  },
  "sort": {
    "maxPickTs": "ASC"
  },
  "itemsPerPage": 20,
  "page": 3,
  "responseGroups": "FULL"
}       
```

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "description": "**October 2025**<br>Built: 10/22/2025, 17:26:02",
    "version": "3.0",
    "title": "Inbound Load Board API Reference Guide"
  },
  "servers": [
    {
      "url": "https://developer.api.us.walmart.com/"
    }
  ],
  "paths": {
    "/api-proxy/service/supplychain/transportation/v1/api/brokerage/plans/bids/search": {
      "post": {
        "tags": [
          "Inbound Load Board Requests"
        ],
        "summary": "Retrieve shipment identifiers",
        "operationId": "freight_carrier_plans_bids_search",
        "description": "This request retrieves shipment identifiers.\n\n### Example\n\nThe following example retrieves bidding loads offered to the carrier.\n\n### Request body:\n\n```JSON\n{\n  \"planId\": 27340816,\n  \"phaseStatus\": \"Current\",\n  \"offerType\": \"Fixed Load\",\n  \"bidStatus\": \"OFFERED\",\n  \"origins\": {\n    \"city\": \"Chicago\",\n    \"postalCode\": \"31422\",\n    \"state\": \"GA\"\n  },\n  \"destinations\": {\n    \"city\": \"Chicago\",\n    \"postalCode\": \"94903\",\n    \"state\": \"GA\"\n  },\n  \"queryDateFilters\": [\n    {}\n  ],\n  \"planDetails\": {\n    \"totalStops\": 1,\n    \"isHazmat\": true\n  },\n  \"equipment\": {\n    \"equipmentCodes\": \"VAN53\"\n  },\n  \"sort\": {\n    \"maxPickTs\": \"ASC\"\n  },\n  \"itemsPerPage\": 20,\n  \"page\": 3,\n  \"responseGroups\": \"FULL\"\n}       \n```\n",
        "parameters": [
          {
            "in": "header",
            "name": "WM_CONSUMER.ID",
            "description": "Specifies the consumer identifier. \n\nThis value is obtained from the development manager. \n\nExample:\n\nb30696d1-1806-489d-a519-6c38b35cc8d2\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "Authorization",
            "description": "Specifies the authorization bearer token received in the previous authentication call.\n\nThis value is obtained from the development manager. \n\nExample:\n\neyJraWqioiqwe33dDdssdfsefsdefe334VDWDKUssweksdoobweppsdvddppjsowjsddwi59223Kwkek91kkwd\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "WM_QOS.CORRELATION_ID",
            "description": "Specifies the tracking ID for each request for logging purpose. \n\nThe client sends a new UUID for each request for logging.\n\nExample:\n\nUUID - 4402a449-0e67-49f8-bbb3-b2fc1c05f6b3\n",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "description": "The following are required input field names, data types, description, and occurrences.\n",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "planId"
                ],
                "properties": {
                  "planId": {
                    "type": "array",
                    "description": "<mark>Optional</mark>\n\nSpecifies the plan identifier.\n\nExample:\n\n27340816\n",
                    "example": 27340816
                  },
                  "phaseStatus": {
                    "type": "array",
                    "description": "<mark>Optional</mark>\n\nSpecifies the phase status of the loads. \n\nFor example, set the `phaseStatus` to `CURRENT` to retrieve loads active for bidding.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| CANCELLED | Indicator that the bidding has been canceled. |\n| CEASED | Indicates the offer to process the load has been withdrawn. |\n| CURRENT | Indicator of currently active loads on Inbound Load Board. |\n| EXPIRED | Indicator of loads when the bidding has expired. |\n| IN_REVIEW | Indicator that a load is in review by the shipper. |\n\nExample:\n\nCURRENT\n",
                    "example": "Current"
                  },
                  "offerType": {
                    "type": "array",
                    "description": "<mark>Optional</mark>\n\nIndicates the type of load that is being offered.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| Bidding Load | Indicates a bidding load offer type. |\n| Fixed Load | Indicates a fixed rate offer type. |\n| Hybrid Load | Indicates a hybrid load offer type. |\n\nExample:\n\nFixed Load\n",
                    "example": "Fixed Load"
                  },
                  "bidStatus": {
                    "type": "string",
                    "description": "<mark>Optional</mark>\n\nSpecifies the bids status. \n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| ACCEPTED | Indicates accepted loads. |\n| APPROVED | Indicates accepted fixed price offers. |\n| CANCELLED | Indicates that a bid is no longer available. |\n| EXPIRED | Indicates that a bid is no longer available. |\n| OFFERED | Indicates the shipment has been offered to the carrier. |\n| REJECTED | Indicates an offer the users has rejected. |\n| WITHDRAW | Indicates bids users have withdrawn. |\n\nExample:\n\nOFFERED\n",
                    "example": "OFFERED"
                  },
                  "origins": {
                    "type": "object",
                    "description": "<mark>Optional</mark>\n\nIndicates the value of the origin information of the load.\n",
                    "properties": {
                      "city": {
                        "type": "string",
                        "description": "<mark>Optional</mark>\n\nIndicates the city (address location) of the origin of the load.\n\nExample:\n\nChicago\n",
                        "example": "Chicago"
                      },
                      "postalCode": {
                        "type": "string",
                        "description": "<mark>Optional</mark>\n\nIndicates the postal code of the address for the pickup location of the load.\n\nExample:\n\n31422\n",
                        "example": "31422"
                      },
                      "state": {
                        "type": "string",
                        "description": "<mark>Optional</mark>\n\nIndicates the state of the address for the pickup location of the load.\n\nExample:\n\nGA\n",
                        "example": "GA"
                      }
                    }
                  },
                  "destinations": {
                    "type": "object",
                    "description": "<mark>Optional</mark>\n\nIndicates the destination information about the load.\n",
                    "properties": {
                      "city": {
                        "type": "string",
                        "description": "<mark>Optional</mark>\n\nIndicates the city (address location) of the origin information of the load.\n\nExample:\n\nChicago\n",
                        "example": "Chicago"
                      },
                      "postalCode": {
                        "type": "string",
                        "description": "<mark>Optional</mark>\n\nIndicates the postal code of the address for the pickup location of the load. \n\nExample:  \n\n94903\n",
                        "example": "94903"
                      },
                      "state": {
                        "type": "string",
                        "description": "<mark>Optional</mark>\n\nIndicates the state of the address for the pickup location of the load.\n\nExample:  \n\nGA\n",
                        "example": "GA"
                      }
                    }
                  },
                  "queryDateFilters": {
                    "type": "array",
                    "description": "<mark>Optional</mark>\n\nSpecifies the filters for the search results for the start and end dates for the type of field being queried.\n",
                    "items": {
                      "type": "object",
                      "properties": {
                        "endTs": {
                          "type": "string",
                          "description": "Specifies the end timestamp (in ISO 8601 format) of the date time.\n\nExample:\n\n2023-06-01T13:00:00Z\n",
                          "example": "2023-06-01T13:00:00Z"
                        },
                        "startTs": {
                          "type": "string",
                          "description": "Specifies the start time timestamp (in ISO 8601 format) of the dates searched.\n\nExamples:\n\n2023-05-25T12:00:00.000+0530                        \n2023-05-25T12:00:00.000Z\n",
                          "example": "2023-05-25T12:00:00.000+0530 "
                        },
                        "type": {
                          "type": "string",
                          "description": "Specifies the search results for the dates being queried. \n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| ACTUAL_ARRIVAL_DATE | Indicates the date and time the delivery arrived. |\n| ACTUAL_DEPARTURE_DATE | Indicates the date and time the delivery departed the location. |\n| CANCEL_TS | Indicates the date and time the delivery got canceled. |\n| COMPLETED_DATE | Indicates the date and time the delivery was completed. |\n| CREATED_DATE | Indicates the date and time the load was created. |\n| PLANNED_DUE_DATE | Indicates the expected date and time of the delivery. |\n| START_DATE | Indicates the earliest date and time a driver can pick-up a delivery. |\n\nExample:\n\nACTUAL_ARRIVAL_DATE\n",
                          "example": "ACTUAL_ARRIVAL_DATE"
                        }
                      }
                    }
                  },
                  "planDetails": {
                    "type": "object",
                    "description": "<mark>Optional</mark>\n\nIndicates filter criteria that returns loads matching the request criteria.\n",
                    "properties": {
                      "totalStops": {
                        "type": "integer",
                        "description": "<mark>Optional</mark>\n\nIndicates total stops in the plan. \n\nExample:\n\n1\n",
                        "example": 1
                      },
                      "isHazmat": {
                        "type": "boolean",
                        "description": "<mark>Optional</mark>\n\nIndicates the load contains hazardous materials.  \n\nExample:\n\nIf true, the load contains hazardous materials.\nIf false, the load does not contain hazardous materials.\n",
                        "example": true
                      }
                    }
                  },
                  "equipment": {
                    "type": "object",
                    "description": "<mark>Optional</mark>\n\nIndicates the type of equipment that will be needed to accept the load.\n",
                    "properties": {
                      "equipmentCodes": {
                        "type": "array",
                        "description": "<mark>Optional</mark>\n\nIndicates the vehicle equipment code. \n\nValid values are:  \n\n| Value | Meaning |\n| ----------- | ----------- |\n| FLAT53 | Indicates a flatbed truck. |\n| REF53 | Indicates a reefer. |\n| VAN53 | Indicates a van type. |\n\nExample:\n\nVAN53\n",
                        "example": "VAN53"
                      }
                    }
                  },
                  "sort": {
                    "type": "object",
                    "description": "Indicates how to sort a field by ascending or descending order.\n",
                    "properties": {
                      "maxPickTs": {
                        "type": "string",
                        "description": "<mark>Optional</mark>\n\nIndicates the order of the maximum pickup times.  \n\nExample:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| ASC | Ascending |\n| DESC | Descending |\n",
                        "example": "ASC"
                      }
                    }
                  },
                  "itemsPerPage": {
                    "type": "integer",
                    "description": "<mark>Optional</mark>\n\nSpecifies the number of items per page. \n\nDefault is 100. Minimum is 1 and Maximum is 100.\n\nExample:\n\n20\n",
                    "example": 20
                  },
                  "page": {
                    "type": "integer",
                    "description": "<mark>Optional</mark>\n\nSpecifies the starting page number of the search results. \n\nThe default is 1.\n\nExample:\n\n3\n",
                    "example": 3
                  },
                  "responseGroups": {
                    "type": "string",
                    "description": "<mark>Optional</mark>\n\nSpecifies the search response grouping. This fetches the minimum or all fields in the search \nresults. \n\nSearch results default to BASIC view\n\nValid values: \n\n| Value | Meaning |\n| ----------- | ----------- |\n| BASIC | Returns a minimal subset of fields. |\n| FULL | Returns the complete set of fields. |\n\nExample:\n\nFULL\n",
                    "example": "FULL"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful operation.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "header": {
                      "type": "object",
                      "description": "Indicates an object for header information.\n",
                      "properties": {
                        "headerAttributes": {
                          "type": "object",
                          "description": "Indicates an object for header attributes.\n",
                          "properties": {
                            "totalCount": {
                              "type": "integer",
                              "description": "Indicates the number of payloads. \n\nFor example, the total count of loads payload information, such as `totalCount`. \n\nThis field depicts the total available loads. \n\nIn the example below, 358 shows there is a total of four pages available for a pagination call.\n\nExample:\n\n358\n",
                              "example": 358
                            }
                          }
                        }
                      }
                    },
                    "payload": {
                      "type": "array",
                      "description": "Indicates an array of available loads.\n",
                      "items": {
                        "type": "object",
                        "properties": {
                          "identifiers": {
                            "type": "object",
                            "description": "Indicates an object for load identifiers.\n",
                            "properties": {
                              "planId": {
                                "type": "string",
                                "description": "Indicates a carrier’s plan identifier.  \n\nExample:\n\n27568452\n",
                                "example": "27568452"
                              }
                            }
                          },
                          "locations": {
                            "type": "object",
                            "description": "Indicates an object for the load location.\n",
                            "properties": {
                              "origin": {
                                "type": "object",
                                "description": "Indicates an object for the origin information of the load.\n",
                                "properties": {
                                  "locationID": {
                                    "type": "string",
                                    "description": "Indicates the Walmart indicator for the pickup location of the load.\n\nExample:\n\n382679609\n",
                                    "example": "382679609"
                                  },
                                  "locationType": {
                                    "type": "string",
                                    "description": "Indicates the type of pickup location of the load.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DC | Distribution center locations |                                      \n| VNDR | Vendor locations |\n\nExamples:\n\nVNDR\n",
                                    "example": "VNDR"
                                  },
                                  "countryCode": {
                                    "type": "string",
                                    "description": "Indicates the country for the pickup location of the load.\n\nExample:\n\nUS\n",
                                    "example": "US"
                                  },
                                  "latitude": {
                                    "type": "number",
                                    "description": "Indicates the latitude value of the origin of the load.\n\nExample:\n\n31.12\n",
                                    "example": 31.12
                                  },
                                  "longitude": {
                                    "type": "number",
                                    "description": "Indicates the longitude value of the origin information of the load.\n\nExample:\n\n-82.245\n",
                                    "example": -82.245
                                  },
                                  "addressLine1": {
                                    "type": "string",
                                    "description": "Indicates the address of the origin information of the load.\n\nExample:\n\n101 Wilshire Blvd\n",
                                    "example": "101 Wilshire Blvd"
                                  },
                                  "addressLine2": {
                                    "type": "string",
                                    "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                                    "example": "Office #10"
                                  },
                                  "city": {
                                    "type": "string",
                                    "description": "Indicates the city (address location) of the origin information of the load.\n\nExample:\n\nChicago\n",
                                    "example": "Chicago"
                                  },
                                  "country": {
                                    "type": "string",
                                    "description": "Indicates the country (address location) of the origin information of the load.\n\nExample:\n\nUS\n",
                                    "example": "US"
                                  },
                                  "locationName": {
                                    "type": "string",
                                    "description": "Indicates the name of the location for the pickup location of the load.\n\nExample:\n\nLight House\n",
                                    "example": "Light House"
                                  },
                                  "postalCode": {
                                    "type": "string",
                                    "description": "Indicates the postal code of the address.\n\nExample:\n\n53158\n",
                                    "example": "53158"
                                  },
                                  "state": {
                                    "type": "string",
                                    "description": "Indicates the state of the address for the pickup location of the load.\n\nExample:\n\nGA\n",
                                    "example": "GA"
                                  }
                                }
                              }
                            }
                          },
                          "destination": {
                            "type": "object",
                            "description": "Indicates an object for the load destination.\n",
                            "properties": {
                              "locationId": {
                                "type": "string",
                                "description": "Indicates the Walmart indicator for the pickup location of the load. \n\nExample:\n\n382679609\n",
                                "example": "382679609"
                              },
                              "locationType": {
                                "type": "string",
                                "description": "Indicates the type of pickup location for the pickup location of the load.\n\nValid values:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DC | Distribution center locations |\n| VNDR | Vendor locations |                            \n\nExamples:\n\nVNDR\n",
                                "example": "VNDR"
                              },
                              "countryCode": {
                                "type": "string",
                                "description": "Indicates the country for the pickup location of the load.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "latitude": {
                                "type": "number",
                                "description": "Indicates the latitude value for the pickup location of the load.\n\nExample:\n\n31.12\n",
                                "example": 31.12
                              },
                              "longitude": {
                                "type": "number",
                                "description": "Indicates the longitude value for the pickup location of the load.\n\nExample:\n\n-82.245\n",
                                "example": -82.245
                              },
                              "addressLine1": {
                                "type": "string",
                                "description": "Indicates the address of the origin information of the load.\n\nExample:\n\n101 Wilshire Blvd\n",
                                "example": "101 Wilshire Blvd"
                              },
                              "addressLine2": {
                                "type": "string",
                                "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                                "example": "Office #10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Indicates the city (address location) of the origin information of the load.\n\nExample:\n\nChicago\n",
                                "example": "Chicago"
                              },
                              "country": {
                                "type": "string",
                                "description": "Indicates the country (address location) of the origin information of the load.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "locationName": {
                                "type": "string",
                                "description": "Indicates the name of the location for the pickup location of the load.\n\nExample:\n\nLight House\n",
                                "example": "Light House"
                              },
                              "postalCode": {
                                "type": "string",
                                "description": "Indicates the postal code of the address.\n\nExample:\n\n53158\n",
                                "example": "53158"
                              },
                              "state": {
                                "type": "string",
                                "description": "Indicates the state of the address for the pickup location of the load.\n\nExample:\n\nGA\n",
                                "example": "GA"
                              }
                            }
                          },
                          "equipment": {
                            "type": "object",
                            "description": "Indicates an object for the type of equipment that the driver will need to accept the load.\n",
                            "properties": {
                              "equipmentCode": {
                                "type": "string",
                                "description": "Indicates the vehicle equipment code. \n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| EXPIRED | Indicator of loads when the bidding has expired. |\n| FLAT53 | Indicates a flatbed truck. |\n| IN_REVIEW | Indicator that a load is in review by the shipper. |\n| REF53 | Indicates a reefer. |\n| VAN53 | Indicates a van type. |\n\nExample:\n\nVAN53\n",
                                "example": "VAN53"
                              },
                              "equipmentType": {
                                "type": "string",
                                "description": "Indicates the vehicle equipment type. \n\nExample:\n\nDRYV - Dry van\n",
                                "example": "DRYV"
                              },
                              "length": {
                                "type": "object",
                                "description": "Indicates an object for the type of equipment that the driver will need to accept the load.\n",
                                "properties": {
                                  "unitOfMeasure": {
                                    "type": "string",
                                    "description": "Indicates the unit of measure for length.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                                    "example": "FT"
                                  },
                                  "measurementValue": {
                                    "type": "number",
                                    "description": "Indicates the length of the vehicle.\n\nExample:\n\n53\n",
                                    "example": 53
                                  }
                                }
                              },
                              "height": {
                                "type": "object",
                                "description": "Indicates the height of the vehicle.\n",
                                "properties": {
                                  "unitOfMeasure": {
                                    "type": "string",
                                    "description": "Indicates the unit of measure for length.\n\nExample:\n\nFT - Feet\n",
                                    "example": "FT"
                                  },
                                  "measurementValue": {
                                    "type": "number",
                                    "description": "Indicates the height of the vehicle.\n\nExample:\n\n10\n",
                                    "example": 10
                                  }
                                }
                              },
                              "width": {
                                "type": "object",
                                "description": "Indicates the width of the vehicle.\n",
                                "properties": {
                                  "unitOfMeasure": {
                                    "type": "string",
                                    "description": "Indicates the unit of measure for width.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                                    "example": "FT"
                                  },
                                  "measurementValue": {
                                    "type": "number",
                                    "description": "Indicates the height of the vehicle.\n\nExample:\n\n10\n",
                                    "example": 10
                                  }
                                }
                              }
                            }
                          },
                          "stops": {
                            "type": "array",
                            "description": "Indicates an array for the pickup and drop-off stops of a load.\n"
                          }
                        }
                      }
                    },
                    "stopSequenceNumber": {
                      "type": "integer",
                      "description": "Indicates the stop sequence number of a load. \n\nExample:\n\n2\n",
                      "example": 2
                    },
                    "stopType": {
                      "type": "string",
                      "description": "Indicates the pickup stop type. \n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DLVSTP | Indicates a Drop stop. |\n| PIKSTP | Indicates a Pickup stop. |\n\nExample:\n\nPIKSTP\n",
                      "example": "PIKSTP"
                    },
                    "locations": {
                      "type": "array",
                      "description": "Indicates location details about stops.\n",
                      "items": {
                        "type": "object",
                        "properties": {
                          "locationId": {
                            "type": "string",
                            "description": "Indicates the Walmart indicator for the location.\n\nExample:\n\n45001553\n",
                            "example": "45001553"
                          },
                          "locationType": {
                            "type": "string",
                            "description": "Valid values:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DC | Distribution center locations |\n| VNDR | Vendor locations |\n\nExamples:\n\nVNDR\n",
                            "example": "VNDR"
                          },
                          "countryCode": {
                            "type": "string",
                            "description": "Indicates the country of the address.\n\nExample:\n\nUS\n",
                            "example": "US"
                          },
                          "latitude": {
                            "type": "number",
                            "description": "Indicates the latitude value.\n\nExample:\n\n31.12\n",
                            "example": 31.12
                          },
                          "longitude": {
                            "type": "number",
                            "description": "Indicates the longitude value.\n\nExample:\n\n-82.245\n",
                            "example": -82.245
                          },
                          "addressLine1": {
                            "type": "string",
                            "description": "Indicates the first line of the address.\n\nExample:\n\n9800 72ND AVE\n",
                            "example": "9800 72ND AVE"
                          },
                          "addressLine2": {
                            "type": "string",
                            "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                            "example": "Office #10"
                          },
                          "city": {
                            "type": "string",
                            "description": "Indicates the city of the address.\n\nExample:\n\nPLEASANT PRAIRIE\n",
                            "example": "PLEASANT PRAIRIE"
                          },
                          "country": {
                            "type": "string",
                            "description": "Indicates the country of the address.\n\nExample:\n\nUS\n",
                            "example": "US"
                          },
                          "locationName": {
                            "type": "string",
                            "description": "Indicates the name of the address.\n\nExample:\n\nSC JOHNSON & SON\n",
                            "example": "SC JOHNSON & SON"
                          },
                          "postalCode": {
                            "type": "string",
                            "description": "Indicates the postal code of the address.\n\nExample:\n\n53158\n",
                            "example": "53158"
                          },
                          "state": {
                            "type": "string",
                            "description": "Indicates the state of the address.\n\nExample:\n\nKY\n",
                            "example": "KY"
                          },
                          "destination": {
                            "type": "object",
                            "description": "Indicates the destination information.\n",
                            "properties": {
                              "locationId": {
                                "type": "string",
                                "description": "Indicates the Walmart indicator for the location.\n\nExample:\n\n382679609\n",
                                "example": "382679609"
                              },
                              "locationType": {
                                "type": "string",
                                "description": "Indicates the type of location (for example, a distribution center).\n\nExample:\n\nDC\n",
                                "example": "DC"
                              },
                              "countryCode": {
                                "type": "string",
                                "description": "Indicates the country of the address.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "latitude": {
                                "type": "number",
                                "description": "Indicates the latitude value.\n\nExample:\n\n31.12\n",
                                "example": 31.12
                              },
                              "longitude": {
                                "type": "number",
                                "description": "Indicates the longitude value.\n\nExample:\n\n-82.245\n",
                                "example": -82.245
                              },
                              "addressLine1": {
                                "type": "string",
                                "description": "Indicates the first address line of the address.\n\nExample:\n\n690 CRENSHAW BLVD\n",
                                "example": "690 CRENSHAW BLVD"
                              },
                              "addressLine2": {
                                "type": "string",
                                "description": "Indicates the second line of the address for the destination location of the load.\n\nExample:\n\nOffice #10\n",
                                "example": "Office #10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Indicates the city of the address.\n\nExample:\n\nHOPKINSVILLE\n",
                                "example": "HOPKINSVILLE"
                              },
                              "country": {
                                "type": "string",
                                "description": "Indicates the country for the destination location of the load.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "locationName": {
                                "type": "string",
                                "description": "Indicates the name of the destination location of the load.\n\nExample:\n\nLight House\n",
                                "example": "Light House"
                              },
                              "postalCode": {
                                "type": "string",
                                "description": "Indicates the postal code of the address.\n\nExample:\n\n42240\n",
                                "example": "42240"
                              },
                              "state": {
                                "type": "string",
                                "description": "Indicates the state of the address.\n\nExample:\n\nKY\n",
                                "example": "KY"
                              }
                            }
                          },
                          "equipment": {
                            "type": "object",
                            "description": "Indicates an object for the type of equipment that the driver will need to accept the load.\n",
                            "properties": {
                              "equipmentCode": {
                                "type": "string",
                                "description": "Indicates the vehicle equipment code.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FLAT53 | Indicates a flatbed truck. |\n| REF53 | Indicates a reefer. |\n| VAN53 | Indicates a van type. |\n\nExample:\n\nVAN53\n",
                                "example": "VAN53"
                              },
                              "equipmentType": {
                                "type": "string",
                                "description": "Indicates the vehicle equipment type.\n\nExample:\n\nDRYV - Dry van\n",
                                "example": "DRYV"
                              },
                              "length": {
                                "type": "object",
                                "description": "Indicates an object detailing the equipment length.\n",
                                "properties": {
                                  "unitOfMeasure": {
                                    "type": "string",
                                    "description": "Indicates the unit of measure of length.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                                    "example": "FT"
                                  },
                                  "measurementValue": {
                                    "type": "number",
                                    "description": "Indicates the height of the equipment of the vehicle.\n\nExample:\n\n13\n",
                                    "example": 13
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "height": {
                      "type": "object",
                      "description": "Indicates the height of the equipment of the vehicle.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure for height.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                          "example": "FT"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the height of the equipment of the vehicle.  \n\nExample:\n\n13\n",
                          "example": 13
                        }
                      }
                    },
                    "width": {
                      "type": "object",
                      "description": "Indicates the width of the equipment of the vehicle.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure for height.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                          "example": "FT"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the height of the equipment of the vehicle.  \n\nExample:\n\n13\n",
                          "example": 13
                        }
                      }
                    },
                    "stops": {
                      "type": "array",
                      "description": "Indicates an array for the pickup and drop-off stops of a load.\n",
                      "items": {
                        "type": "object",
                        "properties": {
                          "stopSequenceNumber": {
                            "type": "integer",
                            "description": "Indicates the stop sequence number of a load.\n\nExample:\n\n2\n",
                            "example": 2
                          },
                          "stopType": {
                            "type": "string",
                            "description": "Indicates the pickup stop type. \n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DLVSTP | Indicates a drop stop. |\n| PIKSTP | Indicates a pickup stop. |\n\nExample:\n\nPIKSTP\n",
                            "example": "PIKSTP"
                          },
                          "location": {
                            "type": "object",
                            "description": "Indicates an object for the load location.\n",
                            "properties": {
                              "locationID": {
                                "type": "string",
                                "description": "Indicates the Walmart indicator for the pickup location of the load.\n\nExample:\n\n382679609\n",
                                "example": "382679609"
                              },
                              "locationType": {
                                "type": "string",
                                "description": "Indicates the type of pickup location for the pickup location of the load.\n\nValid values:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DC | Distribution center locations |\n| VNDR | Vendor locations |\n\nExamples:\n\nVNDR\n",
                                "example": "VNDR"
                              },
                              "countryCode": {
                                "type": "string",
                                "description": "Indicates the country for the pickup location of the load.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "latitude": {
                                "type": "number",
                                "description": "Indicates the latitude value of the origin of the load.\n\nExample:\n\n31.12\n",
                                "example": 31.12
                              },
                              "longitude": {
                                "type": "number",
                                "description": "Indicates the longitude value of the origin information of the load.\n\nExample:\n\n-82.245\n",
                                "example": -82.245
                              },
                              "addressLine1": {
                                "type": "string",
                                "description": "Indicates the address of the origin information of the load.\n\nExample:\n\n101 Wilshire Blvd\n",
                                "example": "101 Wilshire Blvd"
                              },
                              "addressLine2": {
                                "type": "string",
                                "description": "Indicates the second line of the address for the pickup location of the load.\n\nExample:\n\nOffice #10\n",
                                "example": "Office #10"
                              },
                              "city": {
                                "type": "string",
                                "description": "Indicates the city (address location) of the load.\n\nExample:\n\nChicago\n",
                                "example": "Chicago"
                              },
                              "country": {
                                "type": "string",
                                "description": "Indicates the country for the pickup location of the load.\n\nExample:\n\nUS\n",
                                "example": "US"
                              },
                              "locationName": {
                                "type": "string",
                                "description": "Indicates the name of the location for the stop location of the load.\n\nExample:\n\nLight House\n",
                                "example": "Light House"
                              },
                              "postalCode": {
                                "type": "string",
                                "description": "Indicates the postal code of the address for the pickup location of the load.\n\nExample:\n\n31422\n",
                                "example": "31422"
                              },
                              "state": {
                                "type": "string",
                                "description": "Indicates the state of the address for the pickup location of the load.\n\nExample:\n\nGA\n",
                                "example": "GA"
                              }
                            }
                          }
                        }
                      }
                    },
                    "maxExpectedArrivalTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format) for an estimated maximum arrival time.\n\nExample:\n\n2023-05-25T12:00:00.000+00:00\n",
                      "example": "2023-05-25T12:00:00.000+00:00"
                    },
                    "maxExpectedDepartureTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format) for an estimated maximum departure time, \nwhich is the upper limit for the departure window.\n\nExample:\n\n2023-05-25T12:00:00.000+0530\n2023-05-25T12:00:00.000Z\n",
                      "example": "2023-05-25T12:00:00.000+0530"
                    },
                    "minExpectedArrivalTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format)  for an estimated minimum arrival time, which \nis the lower limit for the arrival window.\n\nExample:\n\n2023-05-25T12:00:00.000+00:00\n",
                      "example": "2023-05-25T12:00:00.000+00:00"
                    },
                    "minExpectedDepartureTs": {
                      "type": "string",
                      "description": "Indicates the timestamp (in ISO 8601 format) for an estimated minimum departure time, which \nis the upper limit for the departure window.\n\nExample:\n\n2023-05-28T16:00:00.000+00:0\n",
                      "example": "2023-05-28T16:00:00.000+00:0"
                    },
                    "schedulerDetails": {
                      "type": "object",
                      "description": "Indicates the schedule of the location stops.\n",
                      "properties": {
                        "appointmentNumber": {
                          "type": "string",
                          "description": "Indicates the appointment number.\n\nExample:\n\n21934322\n",
                          "example": "21934322"
                        },
                        "deliveryType": {
                          "type": "string",
                          "description": "Indicates the tracking of the delivery type. \n\nExample:\n\nLIVE\n",
                          "example": "LIVE"
                        },
                        "appointmentStartTime": {
                          "type": "string",
                          "description": "Indicates the timestamp for the start of the appointment.\n\nExample:\n\n2023-08-04T09:00:00.000-06:00\n",
                          "example": "2023-08-04T09:00:00.000-06:00"
                        },
                        "appointmentEndTime": {
                          "type": "string",
                          "description": "Indicates the timestamp for the end of the appointment.\n\nExample:\n\n2023-08-04T10:59:00.000-06:00\n",
                          "example": "2023-08-04T10:59:00.000-06:00"
                        },
                        "createdUserId": {
                          "type": "string",
                          "description": "Indicates the appointment created by the username.\n\nExample:\n\nautoSchTMS\n",
                          "example": "autoSchTMS"
                        }
                      }
                    },
                    "comments": {
                      "type": "array",
                      "description": "Indicates comments for plan.\n",
                      "items": {
                        "type": "object",
                        "properties": {
                          "commentId": {
                            "type": "integer",
                            "description": "Indicates the comment id.\n\nExample:\n\n1\n",
                            "example": 1
                          },
                          "commentText": {
                            "type": "string",
                            "description": "Indicates the comment text.\n\nExample:\n\nThis load contains milk and eggs.\n",
                            "example": "This load contains milk and eggs."
                          },
                          "commentType": {
                            "type": "string",
                            "description": "Type of the comment\n\nExample:\n\nGENERAL\n",
                            "example": "GENERAL"
                          }
                        }
                      }
                    },
                    "planAggregates": {
                      "type": "object",
                      "description": "Indicates an object for load details.\n",
                      "properties": {
                        "totalCases": {
                          "type": "object",
                          "description": "Indicates the total number of cases in the load.\n",
                          "properties": {
                            "unitOfMeasure": {
                              "type": "string",
                              "description": "Indicates the unit of measure for total cases.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                              "example": "FT"
                            },
                            "measurementValue": {
                              "type": "number",
                              "description": "Indicates the value of total cases.\n\nExample:\n\n500\n",
                              "example": 500
                            }
                          }
                        }
                      }
                    },
                    "totalWeight": {
                      "type": "object",
                      "description": "Indicates the total weight of the load in pounds.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure for weight.\n\nExample:\n\nLB - pounds\n",
                          "example": "LB"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the value of total weight.\n\nExample:\n\n500\n",
                          "example": 500
                        }
                      }
                    },
                    "totalVolume": {
                      "type": "object",
                      "description": "Indicates the volume.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure of total volume.\n\nExample:\n\nCFT – Cubic feet\n",
                          "example": "CFT"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the value of the total volume.\n\nExample:\n\n500\n",
                          "example": 500
                        }
                      }
                    },
                    "totalPallets": {
                      "type": "object",
                      "description": "Indicates an object describing the total pallets.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure for pallets.\n\nExample:\n\nEA - Each\n",
                          "example": "EA"
                        },
                        "measurementValue": {
                          "type": "integer",
                          "description": "Indicates the value of pallets.\n\nExample:\n\n23\n",
                          "example": 23
                        }
                      }
                    },
                    "totalCube": {
                      "type": "object",
                      "description": "Indicates the total cubic volume of the load measured in feet.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure for the total cubic volume of the load.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| FT | Feet |\n\nExample:\n\nFT\n",
                          "example": "FT"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the value of the total cubic volume.\n\nExample:\n\n500\n",
                          "example": 500
                        }
                      }
                    },
                    "totalDistance": {
                      "type": "object",
                      "description": "Indicates an object of the total distance a driver will deliver the load.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure for the total distance.\n\nExample:\n\nMI - Miles\n",
                          "example": "MI"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the value of the total distance.\n\nExample:\n\n750\n",
                          "example": 750
                        }
                      }
                    },
                    "totalDuration": {
                      "type": "object",
                      "description": "Indicates the total amount of time needed to transport the load.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure of the total duration.\n\nExample:\n\nHR - Hours\n",
                          "example": "HR"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the values of the total duration.\n\nExample:\n\n8\n",
                          "example": 8
                        }
                      }
                    },
                    "totalUtilization": {
                      "type": "object",
                      "description": "Indicates utilization metrics of the trip such as miles traveled.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the unit of measure of the total utilization.\n\nExample:\n\nMI - Miles\n",
                          "example": "MI"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the value of the total utilization.\n\nExample:\n\n500\n",
                          "example": 500
                        }
                      }
                    },
                    "totalWMSPallelts": {
                      "type": "object",
                      "description": "Indicates an object describing the total pallets.\n",
                      "properties": {
                        "unitOfMeasure": {
                          "type": "string",
                          "description": "Indicates the currency unit of the bid price.\n\nExample:\n\nUSD - US dollars\n",
                          "example": "USD"
                        },
                        "measurementValue": {
                          "type": "number",
                          "description": "Indicates the price of the bid.\n\nExample:\n\n0\n",
                          "example": 0
                        }
                      }
                    },
                    "planDetails": {
                      "type": "object",
                      "description": "Indicates the plan details.\n",
                      "properties": {
                        "isHazmat": {
                          "type": "boolean",
                          "description": "Indicates the load contains hazardous materials.  \n\nExample:\n\nIf true, the load contains hazardous materials.\nIf false, the load does not contain hazardous materials.\n",
                          "example": false
                        }
                      }
                    },
                    "transitDetail": {
                      "type": "object",
                      "description": "Indicates an object for payload load requirements.\n\nPayloads are identified by their service codes.\n\nValid values:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| D | Indicates the protection level. |\n| SL | Indicates a service level (single or flat). |\n| TL | Indicates a truck load. |\n",
                      "properties": {
                        "mode": {
                          "type": "string",
                          "description": "Indicates the mode of the transportation required.\n\nExample:\n\nTL - Truck load\n",
                          "example": "TL"
                        },
                        "serviceLevel": {
                          "type": "string",
                          "description": "Indicates the service level of the transportation detail.\n\nExample:\n\nSINGLE\n",
                          "example": "SINGLE"
                        },
                        "protectionLevel": {
                          "type": "string",
                          "description": "Indicates the protection level required to transport the load.\n\nValid values:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| DRY | Indicates no special handling. |\n| PRODUCE | Indicates a produce load. |\n| REFER | Indicates a refrigerated load. |\n\nExample:\n\nDRY\n",
                          "example": "DRY"
                        }
                      }
                    },
                    "phases": {
                      "type": "object",
                      "description": "Indicates an object for the different phases of a load in the lifecycle.\n",
                      "properties": {
                        "status": {
                          "type": "string",
                          "description": "Indicates the phase status of the phase. \n\nUse `CURRENT`\n\nExample:\n\nCURRENT\n",
                          "example": "CURRENT"
                        },
                        "startTs": {
                          "type": "string",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the start time of the phase.\n\nExample:\n\n2023-05-25T12:00:00.000+0530                    \n2023-05-25T12:00:00.000Z\n",
                          "example": "2023-05-25T12:00:00.000+0530"
                        },
                        "endTs": {
                          "type": "string",
                          "description": "Indicates the timestamp (in ISO 8601 format) of the expiration time of the phase.\n\nExample:\n\n2023-06-01T13:00:00Z\n",
                          "example": "2023-06-01T13:00:00Z"
                        },
                        "offerType": {
                          "type": "string",
                          "description": "Indicates the type of load that is being offered.\n\nValid values are:\n\n| Value | Meaning |\n| ----------- | ----------- |\n| Bidding Load | Indicates a bidding load offer type. |\n| Fixed Load | Indicates a fixed rate offer type. |\n| Hybrid Load | Indicates a hybrid load offer type. |\n\nExample:                      \n\nFixed Load\n",
                          "example": "Fixed Load"
                        },
                        "bids": {
                          "type": "array",
                          "description": "Indicates information about load bids being offered.\n",
                          "items": {
                            "type": "object",
                            "properties": {
                              "bidPrice": {
                                "type": "object",
                                "description": "Indicates an object for the price a carrier placed in their bid to carry a load. \n\nHybrid and bid loads carriers submit their bid for a load.\n",
                                "properties": {
                                  "unitOfMeasure": {
                                    "type": "string",
                                    "description": "Indicates the unit of measure of the bid price.\n\nExample:\n\nUSD - US dollars\n",
                                    "example": "USD"
                                  },
                                  "measurementValue": {
                                    "type": "number",
                                    "description": "Indicates the value of the bid price.\n\nExample:\n\n500\n",
                                    "example": 500
                                  }
                                }
                              },
                              "status": {
                                "type": "string",
                                "description": "Indicates the phase status of the phase.  \n\nExample:\n\nCURRENT\n",
                                "example": "CURRENT"
                              },
                              "carrier": {
                                "type": "object",
                                "description": "Indicates an object for carrier information.\n",
                                "properties": {
                                  "industryScac": {
                                    "type": "string",
                                    "description": "Indicates the industry Standard Carrier Alpha Code (SCAC). \n\nExample:\n\nCPGP\n",
                                    "example": "CPGP"
                                  },
                                  "isDropRequired": {
                                    "type": "boolean",
                                    "description": "Indicates whether a delivery location requires drop trailer capability. If the value is set to `true` (drop required) then only approved carriers with drop trailer permissions may view, accept, or assign loads. If the value is `false` (drop not required) this restriction does not apply.\n\nExample:\n\nFalse\n",
                                    "example": false
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "201": {
            "description": "Created"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden"
          },
          "404": {
            "description": "Not Found"
          }
        },
        "deprecated": false
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "Inbound Load Board Overview",
      "tags": [
        "Overview",
        "Superview"
      ]
    },
    {
      "name": "Inbound Load Board Reference",
      "tags": [
        "Inbound Load Board Requests"
      ]
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
````